Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.extension.comment
Class CommentAPIServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.blojsom.extension.comment.CommentAPIServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class CommentAPIServlet
extends javax.servlet.http.HttpServlet

blojsom Comment API Implementation

Comment API specification.

For more information on the <item/> fragment and its content, check the RSS 2.0 specification.

Since:
  blojsom 3.0
Version:
  $Id: CommentAPIServlet.java,v 1.2 2006/03/24 19:04:32 czarneckid Exp $
Author:
  David Czarnecki, Mark Lussier
See Also:
  Serialized Form

Constructor Summary
`CommentAPIServlet()` Default constructor

Method Summary
`void` | `destroy()` Called when removing the servlet from the servlet container
`void` | `init(javax.servlet.ServletConfig servletConfig)` Initialize the blojsom Comment API servlet
`protected void` | `service(javax.servlet.http.HttpServletRequest httpServletRequest, javax.servlet.http.HttpServletResponse httpServletResponse)` Service a Comment API request

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommentAPIServlet

    public CommentAPIServlet()

  Default constructor

Method Detail

### init

    public void init(javax.servlet.ServletConfig servletConfig)
              throws javax.servlet.ServletException

  Initialize the blojsom Comment API servlet

  Parameters:
    `servletConfig` - Servlet configuration information
  Throws:
    `javax.servlet.ServletException` - If there is an error initializing the servlet

### service

    protected void service(javax.servlet.http.HttpServletRequest httpServletRequest,
                           javax.servlet.http.HttpServletResponse httpServletResponse)
                    throws javax.servlet.ServletException,
                           java.io.IOException

  Service a Comment API request

  Parameters:
    `httpServletRequest` - Request
    `httpServletResponse` - Response
  Throws:
    `javax.servlet.ServletException` - If there is an error processing the request
    `java.io.IOException` - If there is an error during I/O

### destroy

    public void destroy()

  Called when removing the servlet from the servlet container

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD